import sys

if __name__ == "__main__":
    teste = 1
    soma = 0
    temperatura = []
    while True:
        n, m = map(int, input().split())

        if n == 0:
            break

        temperatura = list(map(int, input().split()))

        for i  in range(m):
            temperatura.append(int(input()))
            soma += temperatura[i]
	
        maior = soma
        menor = soma

        for i in range(m, n):
            x = int(input())
            temperatura.append(x)
            soma = soma + temperatura[i] - temperatura[i - m]
            maior = max(maior, soma)
            menor = min(menor, soma)

        print("Teste", teste)
        print(menor // m, maior // m)
        print()

        teste += 1
    